Subject: [p2p-sip] Some comments on Use-cases document

From: sathya at research.panasonic.com (Sathya Narayanan)
Date: Tue, 21 Mar 2006 10:40:24 -0500

> I'd add to that this key question:
> 
> 	"Will we extend SIP, or create a new protocol?"

I agree that this is a "key" question. IMHO, this is the first thing that needs to be addressed by the WG  to create some (rough) consensus.

This was discussed in the ad-hoc in Vancouver and if my memory serves me, there was some sense in the room - but I guess we need to re-visit this issue first thing. Preferably during the friday ad-hoc so that we don't have this hanging over our head for another three months.

- Sathya
 
> I'm finding it hard to make any headway without understanding the 
> above.Basically, I see two major directions we could go:
> 
> 1) Extend SIP with overlay-maintenance and resource-location messages.
> 
> 2) Create a new overlay protocol and develop bindings for SIP and 
> ICE (eg,
> distributed proxy service and STUN/TURN resource-location service).
> 
> It seems this high-level decision keeps coming up again and again in
> discussions of the smaller issues.
> 
> -david
> 
> 
> > -----Original Message-----
> > From: p2p-sip-bounces at cs.columbia.edu [p2p-sip-
> > bounces at cs.columbia.edu] On Behalf Of Philip Matthews
> > Sent: Monday, March 20, 2006 5:26 PM
> > To: P2P-SIP
> > Subject: [p2p-sip] Some comments on Use-cases document
> > 
> > In advance of Wednesday's BOF session, I thought I should
> > send out a few comments on the use-cases document
> > http://www.ietf.org/internet-drafts/draft-bryan-sipping-p2p-
> > usecases-00.txt
> > 
> > First of all, I think that having such a document is a great idea.
> > We can use this document to pick the use-cases that we want to 
> support.> 
> > Some comments:
> > 
> > * I was initially confused when reading section 3. After reading a
> > few times,
> > it seems to me that some of the sections describe a network type
> > (e.g., "global Internet" or "Limited Internet Connectivity") while
> > others describe
> > a particular P2P use-case. I would be helpful if the document made
> > the distinction
> > between these two types of descriptions clearer.
> > 
> > * I think it would be helpful to describe each use-case in more
> > detail, and
> > make it clear how the use-cases differ from each other.
> > 
> > * Section 3.1.1 "Public P2P VoIP Service Providers" doesn't really
> > describe
> > this use-case -- right now, it is mostly a few comments on Skype
> > (which seem out-of-place). I might suggest that this use-case could
> > be characterized as follows:
> > -      Very large numbers of peers (millions)
> > -      Some may be behind NATs, while others may have public IP
> > addresses
> > -      Protection against malicious peers is very important
> > -      Connection to PSTN and CS SIP is important
> > 
> > * What is the distinction between 3.1.1 Public P2P VoIP Service
> > Providers"
> > and 3.1.2  "Open Global P2P VoIP Network"??  Is the only difference
> > the fact
> > that in 3.1.1, there is an organization who determines who is 
> allowed> to join the
> > overlay, while in 3.1.2, there is no such organization?
> > 
> > * I would like to add another use-case under 3.1 "Global Internet
> > Environment".
> > This use-case is a IP PBX for a company which has a number of
> > branches scattered
> > throughout the world. Each branch consists of a number of 
> phones, and
> > each branch
> > has a NAT or Firewall box connecting its private network to the
> > Internet.
> > The phones in all the branches connect together into a single 
> P2P PBX
> > system.
> > This use-case differs from 3.4.1 because in this use-case some 
> phones> must
> > connect to each other via the Internet.
> > 
> > * Finally, I find calling these "use-cases" a bit strange. They seem
> > much too high-level
> > and vague to be anything like what the term "use-case" means in UML.
> > I might suggest a term like "application scenarios" might be more
> > appropriate.
> > 
> > 
> > - Philip
> > 
> > _______________________________________________
> > p2p-sip mailing list
> > p2p-sip at cs.columbia.edu
> > https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
> 
> _______________________________________________
> p2p-sip mailing list
> p2p-sip at cs.columbia.edu
> https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>